GNU bug report logs - #20416
message about ACLOCAL_AMFLAGS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Vincent Lefevre <vincent@HIDDEN>; dated Fri, 24 Apr 2015 09:16:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 20416 <at> debbugs.gnu.org:


Received: (at 20416) by debbugs.gnu.org; 28 Sep 2018 08:31:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 28 04:31:25 2018
Received: from localhost ([127.0.0.1]:57185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g5oBJ-00042u-Nm
	for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 04:31:25 -0400
Received: from joooj.vinc17.net ([155.133.131.76]:55000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>)
 id 1g5oBH-00042j-P2; Fri, 28 Sep 2018 04:31:24 -0400
Received: from smtp-zira.vinc17.net
 (2a02-8429-80cd-3101-328d-99ff-fe25-ad3f.rev.sfr.net
 [IPv6:2a02:8429:80cd:3101:328d:99ff:fe25:ad3f])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 43B5823C;
 Fri, 28 Sep 2018 10:31:22 +0200 (CEST)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id 20F2AC20190; Fri, 28 Sep 2018 10:31:22 +0200 (CEST)
Date: Fri, 28 Sep 2018 10:31:22 +0200
From: Vincent Lefevre <vincent@HIDDEN>
To: 20416 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
Subject: Re: message about ACLOCAL_AMFLAGS
Message-ID: <20180928083122.GA24343@HIDDEN>
References: <20150424091512.GB4805@HIDDEN>
 <20180927170006.GA16907@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20180927170006.GA16907@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.10.1+96 (4350694b) vl-108074 (2018-09-18)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20416
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 20416
thanks

On 2018-09-27 19:00:06 +0200, Vincent Lefevre wrote:
> This seems to be fixed with the libtool 2.4.6-4 Debian package
> (and this doesn't seem to be due to a Debian patch)... or perhaps
> the incorrect message was due to some old thing in some file (or
> some other obscure reason): I no longer get the
> 
>   libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.

Actually, it isn't fixed. I forgot that I had added a

  ACLOCAL_AMFLAGS = -I m4

just to silence this warning. This workaround is annoying as it will
yield a warning with future Automake versions.

At least this libtoolize warning should not be given when one requires
Automake 1.13 at least (in which case AC_CONFIG_MACRO_DIRS is supported
and the ACLOCAL_AMFLAGS is necessarily useless).

-- 
Vincent Lefèvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-libtool@HIDDEN:
bug#20416; Package libtool. Full text available.

Message received at 20416-done <at> debbugs.gnu.org:


Received: (at 20416-done) by debbugs.gnu.org; 27 Sep 2018 17:00:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 27 13:00:09 2018
Received: from localhost ([127.0.0.1]:56851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g5Ze5-0005mY-6T
	for submit <at> debbugs.gnu.org; Thu, 27 Sep 2018 13:00:09 -0400
Received: from joooj.vinc17.net ([155.133.131.76]:54806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1g5Ze3-0005lX-Rx
 for 20416-done <at> debbugs.gnu.org; Thu, 27 Sep 2018 13:00:08 -0400
Received: from smtp-zira.vinc17.net
 (2a02-8429-80cd-3101-328d-99ff-fe25-ad3f.rev.sfr.net
 [IPv6:2a02:8429:80cd:3101:328d:99ff:fe25:ad3f])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 8F2C63AA;
 Thu, 27 Sep 2018 19:00:06 +0200 (CEST)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id 659B4C201F7; Thu, 27 Sep 2018 19:00:06 +0200 (CEST)
Date: Thu, 27 Sep 2018 19:00:06 +0200
From: Vincent Lefevre <vincent@HIDDEN>
To: 20416-done <at> debbugs.gnu.org
Subject: Re: message about ACLOCAL_AMFLAGS
Message-ID: <20180927170006.GA16907@HIDDEN>
References: <20150424091512.GB4805@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20150424091512.GB4805@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.10.1+96 (4350694b) vl-108074 (2018-09-18)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20416-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2015-04-24 11:15:12 +0200, Vincent Lefevre wrote:
> With libtool 2.4.2 (but 2.4.6 seems to behave in the same way
> according to the source), after removing a ACLOCAL_AMFLAGS line
> in Makefile.am of some software, I get:
> 
> [...]
> autoreconf: running: libtoolize --copy --force
> libtoolize: putting auxiliary files in `.'.
> libtoolize: copying file `./ltmain.sh'
> libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
> libtoolize: copying file `m4/libtool.m4'
> libtoolize: copying file `m4/ltoptions.m4'
> libtoolize: copying file `m4/ltsugar.m4'
> libtoolize: copying file `m4/ltversion.m4'
> libtoolize: copying file `m4/lt~obsolete.m4'
> libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
> [...]
> 
> See the last line, about ACLOCAL_AMFLAGS.
> 
> However the Automake NEWS file says:
> 
>   - The ACLOCAL_AMFLAGS special make variable will be fully deprecated in
>     Automake 2.0: it will raise warnings in the "obsolete" category (but
>     still no hard error of course, for compatibilities with the many, many
>     packages that still relies on that variable).  You are advised to
>     start relying on the new Automake support for AC_CONFIG_MACRO_DIRS
>     instead (which was introduced in Automake 1.13).
> 
> meaning that ACLOCAL_AMFLAGS should no longer be used and
> AC_CONFIG_MACRO_DIRS should be used instead, which is currently done
> and taken into account, as seen above.

This seems to be fixed with the libtool 2.4.6-4 Debian package
(and this doesn't seem to be due to a Debian patch)... or perhaps
the incorrect message was due to some old thing in some file (or
some other obscure reason): I no longer get the

  libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.

message. And if I remove AC_CONFIG_MACRO_DIR([m4]) from configure.ac,
I get a correct message:

  libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
  libtoolize: and rerunning libtoolize and aclocal.

Anyway, since I cannot reproduce the bug, I'm closing it.

-- 
Vincent Lefèvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Notification sent to Vincent Lefevre <vincent@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Vincent Lefevre <vincent@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Apr 2015 09:15:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 24 05:15:37 2015
Received: from localhost ([127.0.0.1]:38323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YlZhw-0008PU-L3
	for submit <at> debbugs.gnu.org; Fri, 24 Apr 2015 05:15:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52377)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <vincent@HIDDEN>) id 1YlZhu-0008PG-01
 for submit <at> debbugs.gnu.org; Fri, 24 Apr 2015 05:15:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1YlZhn-00037m-HA
 for submit <at> debbugs.gnu.org; Fri, 24 Apr 2015 05:15:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36526)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1YlZhn-00037Z-8t
 for submit <at> debbugs.gnu.org; Fri, 24 Apr 2015 05:15:27 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37645)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1YlZhl-0005v7-N0
 for bug-libtool@HIDDEN; Fri, 24 Apr 2015 05:15:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1YlZhh-00036h-Le
 for bug-libtool@HIDDEN; Fri, 24 Apr 2015 05:15:25 -0400
Received: from ioooi.vinc17.net ([92.243.22.117]:35664)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1YlZhh-00035x-FV
 for bug-libtool@HIDDEN; Fri, 24 Apr 2015 05:15:21 -0400
Received: from smtp-xvii.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by ioooi.vinc17.net (Postfix) with ESMTPSA id 12B44AE2;
 Fri, 24 Apr 2015 11:15:13 +0200 (CEST)
Received: by xvii.vinc17.org (Postfix, from userid 1000)
 id C886221A07A; Fri, 24 Apr 2015 11:15:12 +0200 (CEST)
Date: Fri, 24 Apr 2015 11:15:12 +0200
From: Vincent Lefevre <vincent@HIDDEN>
To: bug-libtool@HIDDEN
Subject: message about ACLOCAL_AMFLAGS
Message-ID: <20150424091512.GB4805@HIDDEN>
Mail-Followup-To: Vincent Lefevre <vincent@HIDDEN>, bug-libtool@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.23-6425-vl-r76280 (2015-03-04)
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

With libtool 2.4.2 (but 2.4.6 seems to behave in the same way
according to the source), after removing a ACLOCAL_AMFLAGS line
in Makefile.am of some software, I get:

[...]
autoreconf: running: libtoolize --copy --force
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
[...]

See the last line, about ACLOCAL_AMFLAGS.

However the Automake NEWS file says:

  - The ACLOCAL_AMFLAGS special make variable will be fully deprecated in
    Automake 2.0: it will raise warnings in the "obsolete" category (but
    still no hard error of course, for compatibilities with the many, man=
y
    packages that still relies on that variable).  You are advised to
    start relying on the new Automake support for AC_CONFIG_MACRO_DIRS
    instead (which was introduced in Automake 1.13).

meaning that ACLOCAL_AMFLAGS should no longer be used and
AC_CONFIG_MACRO_DIRS should be used instead, which is currently done
and taken into account, as seen above.

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Acknowledgement sent to Vincent Lefevre <vincent@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#20416; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 Sep 2018 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.